@charset "UTF-8";


:root {
    --background-black: #111111;
    --background-darkgray: #1A1A1A;
    --background-ivory: #f8f6f2;
    --red: #d41917;
    --dark-yellow: #c9a24a;
    --white: #f8f7f4;
    --gray: #aaaaaa;
    --main-font: "Noto Sans JP", sans-serif;
    --eng-font: "Zen Kaku Gothic New", sans-serif;
    --eng-sub-font: "Barlow Condensed", sans-serif;
    --padding-side: 7.5rem;
    --padding-vertical: 10rem;

}

html {

    font-size: 16px;
}

body {
    margin: 0;
}

body,
html {
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

a {
    outline: none;
}

a:hover img.btn_alfa {
    opacity: 0.8;
    filter: alpha(opacity=80);
    -ms-filter: "alpha( opacity=80 )";
}

.big {
    display: block;
}

.sml {
    display: none;
}

#wrapper {
    position: relative;
    background-color: var(--background-black);
    font-family: var(--main-font);
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 400;
}

#wrapper header {
    position: relative;
    width: 100%;
    background: radial-gradient(56% 56% at 50% 44%, rgba(17, 17, 17, 0.27) 0.01%, var(--background-black, #111) 85.64%);
    background-blend-mode: multiply;
    background-image: url("../images/bg_header.webp");
    background-repeat: no-repeat;
    background-size: 100%;
    height: 90vh;
    padding-top: 8%;
    padding-left: 8.333333333%;
}

h1.title {
    position: relative;
    width: 50.486111111%;
    margin: 0;
    animation: logoFade 1s ease 0s 1 normal forwards;

}

h1.title img {
    width: 100%;
}

h2.date {
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    width: 100%;
    height: 13.111111111%;
    justify-content: center;
    align-items: flex-end;
    border-bottom: 2px solid #45322A;
    padding-bottom: .5rem;
}

h2.date img {
    position: relative;
    width: 53%;
}

#contents_wrapper {
    display: grid;
    width: 100%;
    grid-template-rows: repeat(6, fit-content(100%));
    grid-template-columns: repeat(1, minmax(0, 1fr));
    grid-auto-flow: row;
}

section {
    position: relative;
    background-color: var(--background-black);
    width: 100%;
    padding: var(--padding-vertical) var(--padding-side);
    background-image: url('../images/lineR.webp');
    background-repeat: no-repeat;
    background-position: left top;
    animation: scaleIn 1s ease 0s 1 normal forwards;
    animation-timeline: view();

    animation-range: entry 0% cover 30%;
}

section.mail {
    position: relative;
    display: flex;
    width: 100%;
    padding: 2.5rem var(--padding-side);
    justify-content: center;
    align-items: flex-start;
    grid-row: span 1;
    grid-column: span 1;
    background-image: none;

}

section.mail .section_inner {
    position: relative;
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: flex-start;
    gap: 1rem;
    flex-shrink: 0;
    color: var(--red);
    text-align: center;
    font-family: var(--eng-font);
    font-size: clamp(0.8rem, -0.2029rem + 3.0857vw, 3.5rem);
    font-style: normal;
    font-weight: 700;
    line-height: 5.0625rem;
    letter-spacing: -0.035rem;
}

section.mail .section_inner img {
    width: 100%;
}

section.mail .section_inner p a,
section.mail .section_inner p a:visited {
    color: var(--red);
    text-decoration: none;
}

section.mail .section_inner p a:hover {
    border-bottom: 1px solid var(--dark-yellow);
    color: #c05251;

}


.contents {
    gap: 4rem;
}

.section_ttl {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    color: var(--dark-yellow);

    font-family: var(--eng-font);
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 0.24rem;
    margin: 0 auto;
}

.section_ttl .rect {
    width: 0.75rem;
    height: 0.75rem;
    transform: rotate(45deg);
    background: var(--dark-yellow);

}

.section_text {
    color: var(--white);
    font-family: var(--main-font);
    font-size: clamp(1rem, 0.8143rem + 0.5714vw, 1.5rem);
    font-style: normal;
    font-weight: 400;
    line-height: 3rem;
    /* 200% */
}


/* ----about */
section.about {
    display: flex;
    width: 100%;
    padding: var(--padding-vertical) 0 var(--padding-vertical) var(--padding-side);
    justify-content: space-between;
    align-items: flex-start;
    grid-row: span 1;
    grid-column: span 1;

}

.contents_about {
    position: relative;
    display: flex;
    width: 49%;
    flex-direction: column;
    align-items: center;
    flex-shrink: 0;
}

.about .section_text {
    text-align: center;
}

.m1 {
    position: relative;
    width: 48%;
    aspect-ratio: 118/79;
}

.m1 img {
    position: relative;
    width: 100%;
}

/* ---収録風景 */
section.photo {
    background-image: none;
}

section.photo::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../images/lineR.webp');
    transform: scaleX(-1);
    /* 背景画像のみを左右反転 */
    background-repeat: no-repeat;
    background-position: left top;
}

.contents_photo {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.contents_photo p {
    margin: 0 auto;
}

.contents_photo img {
    width: 80%;
    max-width: 1000px
}

/* 写真部分 */
.contents_photo .name_outer {
    position: relative;
    background-image: url(../images/photo.webp);
    width: 80%;
    max-width: 1000px;
    height: auto;
    background-size: cover;
    aspect-ratio: 4 / 3;

}

.contents_photo .names {
    position: absolute;
    width: 100%;
    text-align: center;
    height: 100%;
    color: var(--white);
    font-family: var(--eng-font);
    font-size: clamp(0.8rem, 0.54rem + 0.8vw, 1.5rem);
    font-style: normal;
    font-weight: 700;
    line-height: 0.0625rem;
}

.yagi,
.morimoto,
.hamakado {
    position: absolute;
    display: inline-flex;
    height: 5.9375rem;
    justify-content: center;
    align-items: flex-end;
    gap: 0.5rem;
    bottom: 13%;
    left: 4%;

}

.yagi {
    animation:
        kf_99_22_opacity_0 2s linear,
        kf_99_22_translate_0 2s linear,
        kf_99_22_scale_0 2s linear;
    animation-iteration-count: 1;
    animation-timeline: view();
    animation-range: entry 0% cover 50%;
}

.morimoto {
    bottom: 65%;
    left: 47%;
    align-items: flex-start;

    text-shadow: 0 1px 6px #613419;
    animation:
        kf_99_252_opacity_0 2s linear,
        kf_99_252_translate_0 2s linear,
        kf_99_252_scale_0 2s linear;
    animation-iteration-count: 1;
    animation-timeline: view();
    animation-range: entry 0% cover 50%;
}

.hamakado {
    bottom: 15%;
    left: 49%;
    animation:
        kf_99_273_opacity_0 2s linear,
        kf_99_273_translate_0 2s linear,
        kf_99_273_scale_0 2s linear;
    animation-iteration-count: 1;
    animation-timeline: view();
    animation-range: entry 0% cover 50%;
}

.contents_photo .names svg {
    stroke-width: 2px;
    stroke: var(--background-ivory, #F8F6F2);
    width: clamp(2.6875rem, 0.4589rem + 6.8571vw, 8.6875rem);
    height: clamp(1.9375rem, 0.4518rem + 4.5714vw, 5.9375rem);
}



/* 出演者情報 */
section.ppl {
    background-color: var(--background-darkgray);
}

.contents_ppl {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: center;
}

.ppl_wrapper {
    position: relative;
    display: flex;
    width: 100%;
    align-items: center;
    gap: 5rem;

}

.person {
    display: flex;
    width: 28.889166666%;
    padding: 1rem 1.6rem;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    flex-shrink: 0;
    align-self: stretch;
    color: var(--white);
    background-color: var(--background-black);
    text-align: left;
    opacity: 0;
    animation: personRole 1s ease 2s 1 normal forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
}

.person .name {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: stretch;
    gap: .6rem;
    color: var(--white);
    font-family: var(--eng-font);
    font-size: clamp(2rem, 1.6286rem + 1.1429vw, 3rem);
    font-style: normal;
    font-weight: 700;
    line-height: 1;
    letter-spacing: 0.48rem;
    text-align: justify;
    text-wrap: pretty;
    word-break: auto-phrase;
    overflow-wrap: break-word;

}

.person .name span {
    color: var(--dark-yellow);
    font-size: clamp(1.2rem, 1.0514rem + 0.4571vw, 1.6rem);
    font-style: normal;
    font-weight: 900;
    line-height: 1;
    letter-spacing: 0.05rem;
}

.person .name span.white {
    color: var(--white);
    font-size: clamp(.8rem, 1.0514rem + 0.4571vw, 1rem);
    font-weight: 400;
}

.person .p_text {
    color: var(--gray);
    font-family: var(--main-font);
    font-size: clamp(0.8rem, 0.7257rem + 0.2286vw, 1rem);
    font-style: normal;
    font-weight: 400;
    line-height: 180%;
    /* 1.6rem */
}

.person ul {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.75rem;
    align-self: stretch;
}

.person ul li {
    display: flex;
    align-items: center;
    gap: 0.75rem;

}

.person ul li svg {
    width: 1.25rem;
    height: 1.25rem;
}

.person ul li p {
    color: var(--white);
    font-family: var(--eng-font);
    font-size: 1rem;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

section.comment {
    color: var(--white);
    text-align: center;
    font-family: var(--eng-font);
    font-size: 4rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 0.16rem;
    background-image: url(../images/lineY.webp);
    background-repeat: no-repeat;
    background-position: right top;
    background-size: auto 10rem;
}

section.comment::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../images/lineY.webp');
    transform: scaleX(-1);
    /* 背景画像のみを左右反転 */
    background-repeat: no-repeat;
    background-position: right 90%;
    background-size: auto 10rem;
}

.text_wrapper {
    container-type: inline-size;
    width: 100%;
}

.fluid-text {
    /* 4.8cqi = 横幅の4.8%という意味です。％のように連動します */
    font-size: clamp(14px, 4.8cqi, 100px);
    white-space: nowrap;
    font-weight: bold;
    margin: 0;
    color: var(--white);
}

.fluid-text span {
    color: var(--red);
}

/* バナー */
section.banner {
    background-image: none;
    background-color: var(--background-ivory);
}

section.banner p {
    position: relative;
    margin: 0 auto;
    text-align: center;
}

section.banner p img {
    max-width: 300px;
}

section.banner p img:hover {
    opacity: 0.8;
}

/*===============================================
●style.css 画面の横幅が1024pxまで　タブレット
===============================================*/

@media screen and (max-width: 1024px) {

    #wrapper header {
        height: 48vh;
    }
section.mail .section_inner{
    font-size:3.5rem;
}
    .ppl_wrapper {
        display: block;
    }

    .person {
        width: 100%;
        margin-bottom: 4rem;
    }

    .about .section_text {
        text-align: left;
    }

    .contents_photo .name_outer {
        width: 100%;
    }

    .morimoto {
        bottom: 55%;
        left: 47%;
    }

    .hamakado {
        bottom: 20%;
    }
}

/*===============================================
●style.css 画面の横幅が520pxまで　スマホ
===============================================*/

@media screen and (max-width: 520px) {
    :root {
        --padding-side: 2rem;
        --padding-vertical: 8rem;
    }

    input,
    button,
    select,
    textarea {
        -webkit-appearance: none;
    }

    .wimg {
        width: 100%;
    }

    /* twitter埋め込みあり */
    .twitter-widget-wrapper iframe {
        width: 740px !important;
    }

    .big {
        display: none;
    }

    .sml {
        display: block;
    }

    #wrapper header {
        height: 34vh;
    }

    section {
        animation-range: entry 0% cover 30%;
    }

    section,
    section.photo::before {
        background-size: 40%;
    }

    section.mail .section_inner {
        line-height: 1.4;
        font-size:1.6rem;
    }

    section.mail .section_inner p:first-of-type {
        text-align: right;
        width: 20%;
        position: relative;
        padding-top:.4rem;
    }

    section.mail .section_inner p:nth-of-type(2) {
        width: 80%;
        position: relative;
        text-align: left;

    }

    section.mail .section_inner img {
        width: 60%;
    }

    section.about {
        position: relative;
        display: block;
        padding: var(--padding-vertical) var(--padding-side);
        letter-spacing: -.01rem;
    }

    .about .section_text {
        text-align: left;
    }

    .contents_about {
        width: 100%;
    }

    .m1 {
        position: absolute;
        right: 0;
    }

    section.banner p img {
        max-width: 200px;
    }

    section.comment,
    section.comment::before {
        background-size: 40%;
    }

    .contents_photo img {
        width: 100%;
        max-width: auto;
    }

    section.mail {
        position: relative;
        /* display: flex; */
        width: 100%;
        padding: 2.5rem var(--padding-side);
        justify-content: center;
        /* align-items: flex-start; */
        /* grid-row: span 1; */
        /* grid-column: span 1; */
        background-image: none;
    }

    .contents_photo .name_outer {
        width: 100%;
    }

    .morimoto {
        bottom: 37%;
        left: 47%;
    }
}